package com.ywt.outpatient.domain.models.enums;

public enum MedicalModuleTypeEnum {

    UNKNOW("",0),
    ChiefComplaint("主诉", 1),      //主诉
    HistoryOfPresentIllness("现病史", 2),          //现病史
    PastMedicalHistory("既往史", 3),   //既往史
    AllergicHistory("过敏史", 4),         //过敏史
    PersonalHistory("个人史", 5),         //个人史
    PhysicalExamination("体格检查", 6),         //体格检查
    SpecializedSubjectSituation("专科情况", 7),         //专科情况
    AssistantExamination("辅助检查", 8);         //辅助检查

    private final String displayName;

    private final int value;

    MedicalModuleTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static MedicalModuleTypeEnum valueOf(int value){
        switch (value){
            case 1:
                return ChiefComplaint;
            case 2:
                return HistoryOfPresentIllness;
            case 3:
                return PastMedicalHistory;
            case 4:
                return AllergicHistory;
            case 5:
                return PersonalHistory;
            case 6:
                return PhysicalExamination;
            case 7:
                return SpecializedSubjectSituation;
            case 8:
                return AssistantExamination;
            default:
                return UNKNOW;
        }

    }

}
